Subject: bug#13106: Graphical glitches in Cocoa Emacs

From: Alan Third <[email-masked]>
Date: Wed, 04 May 2016 19:41:05 +0100

Bjarte Johansen <[email-masked]> writes:

> Hi,
> I have some graphical problems in my emacs installation. 
>
> I will most of the time In Cocoa Emacs see graphical glitches on the
> text and other places in the window. Usually it manifests by turning a
> pixel or two a different colour then what it is supposed to be.
> Sometimes there will be a line, It is usually in areas of high change.
> I have a clock on the right side of the mode line. After some time
> some of the pixels around the characters will turn green. It is most
> often (if not all the time) on the right side of the screen, as if
> there is a "off-by-one"-error.
>
> Other times I will also see a darker colour next to the right fringe. This colour is the same as the colour I have for the mode line and cursor. 
>
> In the package list there will be some small areas on top of the buffer that does not change to the darker colour I have set it should have and will keep the background colour. 
>
> The version I have been using is Emacs 24.2, but I have had this problem since Emacs 23.* (or when started using OS X).

Hi, I believe this is fixed in Emacs 25 (possibly a later release of
Emacs 24 too). Can you try the pretest and see if you still get these
glitches?

-- 
Alan Third